package w3c.rtsp.common;


// MyMouseMotionListener.java
// $Id: MyMouseMotionListener.java,v 1 1997/08/7 15:00 osofia Exp $
// (c) COPYRIGHT MIT and INRIA, 1997.
// Please first read the full copyright statement in file COPYRIGHT.html

import java.io.*;
import java.util.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;

//

public class MyMouseMotionListener implements MouseMotionListener {

  Choice ch=null;
  String tf=null;

  public  void mouseDragged(MouseEvent e){
    System.out.println("\nMENU SELECTED"+tf);
    Object target = e.getComponent();
    if(target == ch)
      tf=ch.getSelectedItem();
    System.out.println("\nMENU SELECTED"+tf);
  }

   public void mouseMoved(MouseEvent e) {
   }

  public MyMouseMotionListener(Choice ch,String tf){
    this.ch=ch;
    this.tf=tf;
  }

}
